/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.usecases.symbols;

/**
 * <p>This class extends the information collected by basic person.</p>
 */
public class FullPerson extends BasicPerson {
    private String prefix = null;   
    private String middleName = null;
    private String suffix = null;
    
    
    /**
     * @return Name suffix of a person.
     */
    public String getSuffix() {
        return suffix;
    }
    
    
    /**
     * @param suffix Name suffix of a person.
     */
    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }
    
    /**
     * @return Middle name of a person.
     */
    public String getMiddleName() {
        return middleName;
    }
    
    /**
     * @param middleName Middle name of a person.
     */
    public void setMiddleName(String middleName) {
        this.middleName = middleName;
    }
    
    /**
     * @return Person's name prefix.
     */
    public String getPrefix() {
        return prefix;
    }
    
    /**
     * @param prefix Person's name prefix.
     */
    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }
    
}
